/ api / name / gb.stream.init
GB.Stream.Init
Syntax

    void GB.Stream.Init ( GB_STREAM *stream , int fd )

Initializes a stream by making it a direct stream, and by setting its file descriptor.

- stream is the stream to initialized.
- fd is the file descriptor.

Use this function when you have implemented a stream class that just relies on a system file descriptor.

### See also

Stream Management